'use strict';

// src/styleConverter/index.ts
var toCamelCase = (str) => {
  const arr = str.split("-");
  let res = arr[0];
  for (let i = 1; i < arr.length; i++) {
    const item = arr[i];
    res += item[0].toUpperCase() + item.substring(1);
  }
  return res;
};
var styleConverter = (value) => value.split(";").reduce((acc, item) => {
  if (!item) {
    return acc;
  }
  const t = item.split(":");
  return { ...acc, [toCamelCase(t[0].trim())]: (t[1] || "").trim() };
}, {});
var styleConverter_default = styleConverter;

exports.styleConverter_default = styleConverter_default;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-UJW6DNTC.cjs.map